/notification-channels (POST)
POST
/notification-channels
const url = 'https://example.com/api/v1/notification-channels';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"kind":"webhook","name":"example","url":"https://example.com","botToken":"example","chatId":"example","to":"hello@example.com","events":["deploy.succeeded"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/notification-channels \ --header 'Content-Type: application/json' \ --data '{ "kind": "webhook", "name": "example", "url": "https://example.com", "botToken": "example", "chatId": "example", "to": "hello@example.com", "events": [ "deploy.succeeded" ] }'Request Body required
Section titled “Request Body required ”Responses
Section titled “ Responses ”Default Response
Media type application/json
object
id
required
string
kind
required
string
name
required
string
enabled
required
boolean
events
required
Array<string>
createdAt
required
string format: date-time
Example generated
{ "id": "example", "kind": "example", "name": "example", "enabled": true, "events": [ "example" ], "createdAt": "2026-04-15T12:00:00Z"}Default Response
Media type application/json
object
type
required
string
title
required
string
status
required
integer
code
required
string
detail
string
instance
string
errors
Array<object>
object
path
required
string
message
required
string
Example generated
{ "type": "example", "title": "example", "status": 1, "code": "example", "detail": "example", "instance": "example", "errors": [ { "path": "example", "message": "example" } ]}